Skip to main content
PUT
/
openapi
/
v1
/
user
/
team
/
member-budget
curl --request PUT \
  --url https://api.novita.ai/openapi/v1/user/team/member-budget \
  --header 'Authorization: Bearer <API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '{"member_id": "<string>", "budget_type": "Recurring", "budget_limit": 100000, "cycle": "Monthly"}'
{}

Request Headers

Content-Type
string
required
Enum: application/json
Authorization
string
required
Bearer authentication format, for example: Bearer {{API Key}}.

Request Body

member_id
string
required
The sub-user account ID of the target member whose budget configuration is being updated.
budget_type
string
required
Budget type. Possible values: Unlimited, One-time, Recurring.
budget_limit
int64
Budget limit in units of 1/10000 USD (e.g., 10000 = 1.00).Minimumvalueis10000(1.00). Minimum value is `10000` (1.00). Required when budget_type is One-time or Recurring. Ignored when budget_type is Unlimited.
cycle
string
Budget reset cycle. Currently only Monthly is supported. Required when budget_type is Recurring.

Response

Returns HTTP 200 with an empty response body on success.
curl --request PUT \
  --url https://api.novita.ai/openapi/v1/user/team/member-budget \
  --header 'Authorization: Bearer <API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '{"member_id": "<string>", "budget_type": "Recurring", "budget_limit": 100000, "cycle": "Monthly"}'
{}